/* rfcaddr.h : still no description */
/*
    Copyright (C) 1994 1995 1996 Frank Baumgart, Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact: uwe@tirka.gun.de, Uwe Ohse @ DU3 (mausnet)
       Snail Mail (don't expect me to answer):
             Uwe Ohse
             Drosselstrae 2
             47055 Duisburg
             Germany
    Contact2: godot@uni-paderborn.de, Frank Baumgart @ PB3 (mausnet)
       (might be the wrong person except for offline)

    Contact3: MausNet Newsgroups Quark & Q-Sysops.
*/
#ifndef RP_ADDRESS_H
#define RP_ADDRESS_H
/*
** Mail address data structures
*/

#define NSUBDOM		20      	/* # of subdomain names in domain */

typedef unsigned int MALLOCT;		/* Parameter to malloc		*/

/*
**  A domain.
*/
typedef struct rp_dstr {
    struct rp_dstr	*next;		/* next domain (f.i. in route)	*/
    char			*sub[NSUBDOM];	/* subdomain strins		*/
    char			**top;		/* toplevel domain		*/
} rp_domain_t;

/*
**  An address.
*/
typedef struct rp_astr {
    struct rp_astr	*next;		/* next address in list		*/
    rp_domain_t		*route;		/* route icl. destination domain */
   	rp_domain_t		*destdom;	/* destination domain		*/
    char			*localp;	/* RFC local part		*/
    char			*name;		/* Comment name			*/
    char			*group;		/* Group (List) phrase		*/
    char			*comment;	/* () comment phrase		*/
    char			*error;		/* error text if not NULL	*/
} rp_addr_t;


	/* Append domainlist "dom" to domainlist "head". */
rp_domain_t *rp_new_domain(void);
	/* Create a new address	*/
rp_addr_t	*rp_new_address(void);
	/* Create a new domain */
void rp_append_domain(rp_domain_t **head, rp_domain_t *dom);
	/* Append addresslist "addr" to addresslist "head" */
void rp_append_address(rp_addr_t **head, rp_addr_t *addr);
	/* Prepend domainlist "dom" before domainlist "head". */
void rp_prepend_domain(rp_domain_t **head, rp_domain_t *dom);

	/* die aufzurufende Routine */
void rfc_parse_address(char *);

rp_addr_t	*adrlist;
rp_addr_t	*errlist;

#endif
