#ifndef ERRORMAIL_H
#define ERRORMAIL_H
struct bounce_info
{
    const char *orig_id;
    const char *orig_subject;
    const char *orig_to;
    /* must:
     *  x.yyy.zzz
     */
    const char *status_code;
    /* opt:
     *  dns;tirka.gun.de ...
     *  dns;du3.maus.de
     *  x-local-hostname;something.not.
     */
    const char *remote_mta;
    /* opt:
     *  smtp; 987 no power
     *  x-maustausch; ?haben Sie eine Zeitmaschine?
     */
    const char *diagnostic_code;
};

extern void new_bounce (const char *to,
            metamsg_t *orig_msg,
            const char *mbuf,
            struct bounce_info *info);
/*
 * to: address to send bounce to
 * reason: some sort of error description.
 * mbuf: rfc822-message
 */
extern void bounce (const char *to, const char *reason, const char *mbuf);
/*
 * send error message to ...
 */
extern void 
	errormail (FILE * input, const char *subject, const char *errortext,...);

#endif
